Subject: Re: linux-next: build warning after merge of the drm-intel-fixes tree

From: Imre Deak <[email-masked]>
Date: Mon, 29 Mar 2021 21:23:35 +0300

Hi Stephen,

thanks for the report.

On Mon, Mar 29, 2021 at 09:01:17AM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> On Fri, 26 Mar 2021 19:58:38 +1100 Stephen Rothwell <[email-masked]> wrote:
> >
> > After merging the drm-intel-fixes tree, today's linux-next build
> > (htmldocs) produced this warning:
> > 
> > Documentation/gpu/i915:22: /drivers/gpu/drm/i915/intel_runtime_pm.c:423: WARNING: Inline strong start-string without end-string.

The problem seems to be the

	@ignore_usecount=true

part in __intel_runtime_pm_get_if_active()'s docbook documentation. I
can't see the problem with it, it was meant as a reference to the
function parameter, granted I'm not sure what's the proper markup syntax
for this.

I will follow up with the following change which suppresses the warning
and renders the html as expected unless someone can suggest a better
way:

- * If @ignore_usecount=true, a reference will be acquired even if there is no
+ * If @ignore_usecount is true, a reference will be acquired even if there is no

--Imre

> > 
> > Introduced by commit
> > 
> >   8840e3bd981f ("drm/i915: Fix the GT fence revocation runtime PM logic")
> 
> This warning now exists in Linus' tree.
> 
> -- 
> Cheers,
> Stephen Rothwell